Bug 56031 - ucd-snmp search for libraries at wrong places
ucd-snmp search for libraries at wrong places
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-11 08:23 EST by Onofer Dusan
Modified: 2015-03-04 20:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-11 08:23:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Onofer Dusan 2001-11-11 08:23:47 EST
Description of Problem:
ucd-snmp (utils, snmpd) search for libraries at wrong places.

Version-Release number of selected component (if applicable):
4.2.1-4.6.x


How Reproducible:
always

Steps to Reproduce:
1. strace -o ~/tracelog -e open /usr/sbin/snmpd 
2. 
3. 

Actual Results:
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("/var/tmp/ucd-snmp-root/usr/lib/i586/libsnmp-0.4.2.1.so", O_RDONLY) =
-1 ENOENT (No such file or directory)
open("/var/tmp/ucd-snmp-root/usr/lib/libsnmp-0.4.2.1.so", O_RDONLY) = -1
ENOENT (No such file or

Expected Results:
no open("/var/tmp ....

Additional Information:
Comment 1 Phil Knirsch 2001-11-12 06:20:51 EST
There is currently a revised errata package in QA that will fix this problem.

It should be available within the week. Sorry for the inconvenience,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.